Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.fileadapter.appconn
Class FileOutboundConfiguration

    java.lang.Object
      com.stc.connector.fileadapter.appconn.FileOutboundConfiguration

All Implemented Interfaces:
  com.stc.connector.management.STCManagedSlave

    public class FileOutboundConfiguration

extends java.lang.Object
implements com.stc.connector.management.STCManagedSlave

This is the bean class that holds configuration information.

Constructor Summary
`FileOutboundConfiguration(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Creates new FileOutboundConfiguration.

Method Summary
`void` | `checkDirectory(java.lang.String lDirectory)`
`boolean` | `getAddEOL()`
`java.io.File` | `getDirectory()`
`java.lang.String` | `getEncoding()`
`com.stc.connector.management.util.ObjectReference` | `getMonitor()`
`int` | `getNumberOfRetries()`
`java.lang.String` | `getOutputFileName()`
`int` | `getRetryInterval()`
`boolean` | `getSingleRecordPerFile()`
`void` | `sendFileWriteDirAlert(java.io.File lFile, java.lang.String alertMsg)`
`void` | `setMonitor(com.stc.connector.management.util.ObjectReference mbean)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileOutboundConfiguration

    public FileOutboundConfiguration(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                              throws FileApplicationException

  Creates new FileOutboundConfiguration.

  Throws:
    `FileApplicationException`

Method Detail

### checkDirectory

    public void checkDirectory(java.lang.String lDirectory)
                        throws FileApplicationException

  Throws:
    `FileApplicationException`

### getAddEOL

    public boolean getAddEOL()

  Returns:
    True if an EOL is added add then end of the record

### getDirectory

    public java.io.File getDirectory()

  Returns:
    Directory where the file(s) is written to

### getNumberOfRetries

    public int getNumberOfRetries()

  Returns:
    Number of retries if the write to the files fails

### getOutputFileName

    public java.lang.String getOutputFileName()

  Returns:
    File name or patter of the file the records are written into

### getRetryInterval

    public int getRetryInterval()

  Returns:
    Interval between retries in milliseconds

### getSingleRecordPerFile

    public boolean getSingleRecordPerFile()

  Returns:
    True if each Record is written to its own file or false if all records go into a single file

### getEncoding

    public java.lang.String getEncoding()

  Returns:
    Encoding name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### setMonitor

    public void setMonitor(com.stc.connector.management.util.ObjectReference mbean)

  Specified by:
    `setMonitor` in interface `com.stc.connector.management.STCManagedSlave`

### getMonitor

    public com.stc.connector.management.util.ObjectReference getMonitor()

### sendFileWriteDirAlert

    public void sendFileWriteDirAlert(java.io.File lFile,
                                      java.lang.String alertMsg)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.